// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// onEvent('recipes', event => {
    
ServerEvents.recipes(event => {
    event.remove('garnished:sequenced_assembly/champion_omelette')
    let incompleteChampionOmelette = 'garnished:incomplete_champion_omelette'
    event.recipes.create.sequenced_assembly([
        Item.of('garnished:champion_omelette', 1)
    ], 'garnished:ender_egg_shell', [
        event.recipes.create.pressing(incompleteChampionOmelette, [incompleteChampionOmelette]),
        event.recipes.create.deploying(incompleteChampionOmelette, [incompleteChampionOmelette, '#forge:dusts/ender_pearl']),
        event.recipes.create.deploying(incompleteChampionOmelette, [incompleteChampionOmelette, 'garnished:dimmed_scale']),
        event.recipes.create.deploying(incompleteChampionOmelette, [incompleteChampionOmelette, 'garnished:pansophical_petal']),
        event.recipes.create.filling(incompleteChampionOmelette, [incompleteChampionOmelette, Fluid.of('garnished:dragon_breath', 500)])
    ]).transitionalItem(incompleteChampionOmelette).loops(2).id('bttk:sequenced_assembly/champion_omelette')
})